# Server
Date: 2018-01-28

IRC

## Class Server

- java.lang.Object
- - IRC.Server

All Implemented Interfaces:
  AffichableSurIRC

    public class Server
    extends java.lang.Object
    implements AffichableSurIRC

Cette classe à pour but de stocker les serveurs/channels pour les FAI

Author:
  Marmat

### Nested Class Summary

Nested Classes
`private static class` `Server.Type`

### Field Summary

Fields
`private java.lang.String` `address`
`private java.lang.String` `chan`
`private int` `port`
`private Server.Type` `t`

### Fields inherited from interface main.AffichableSurIRC

`MAX_CHARACTERS`

### Constructor Summary

Constructors
Constructor and Description
`Server(java.lang.String gen)`
`Server(java.lang.String address, int port, java.lang.String chan)`

### Method Summary

All Methods Instance Methods Concrete Methods
`java.lang.String` `getAddress()`
`java.lang.String` `getChan()`
`int` `getPort()`
`private java.lang.String` `getSrvAddr(java.lang.String s)` Extrait l'addresse d'une URI. par exemple irc://geeknode.net:789#marmat renveira geeknode.net
`private java.lang.String` `getSrvChan(java.lang.String s)` Extrait le chan d'une URI. par exemple irc://geeknode.net:789#marmat renveira #marmat
`private int` `getSrvPort(java.lang.String s)` Extrait le port d'une URI. par exemple irc://geeknode.net:6789#marmat renveira 6789
`boolean` `isIRC()`
`void` `setAddress(java.lang.String address)`
`void` `setChan(java.lang.String chan)`
`void` `setPort(int port)`
`java.lang.String` `toString()`
`java.util.List<java.lang.String>` `toStringIRC()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Field Detail

#### address

    private java.lang.String address

#### port

    private int port

#### chan

    private java.lang.String chan

#### t

    private Server.Type t

### Constructor Detail

#### Server

    public Server(java.lang.String address,
                  int port,
                  java.lang.String chan)

#### Server

    public Server(java.lang.String gen)

### Method Detail

#### getSrvPort

    private int getSrvPort(java.lang.String s)

Extrait le port d'une URI. par exemple irc://geeknode.net:6789#marmat renveira 6789

Parameters:
  `s` - URI sur laquelle extraire le numéro de port
Returns:
  Le numéro de port

#### getSrvAddr

    private java.lang.String getSrvAddr(java.lang.String s)

Extrait l'addresse d'une URI. par exemple irc://geeknode.net:789#marmat renveira geeknode.net

Parameters:
  `s` - URI
Returns:
  L'addresse

#### getSrvChan

    private java.lang.String getSrvChan(java.lang.String s)

Extrait le chan d'une URI. par exemple irc://geeknode.net:789#marmat renveira #marmat

Parameters:
  `s` - URI
Returns:
  L'addresse

#### getAddress

    public java.lang.String getAddress()

#### setAddress

    public void setAddress(java.lang.String address)

#### getPort

    public int getPort()

#### setPort

    public void setPort(int port)

#### getChan

    public java.lang.String getChan()

#### setChan

    public void setChan(java.lang.String chan)

#### isIRC

    public boolean isIRC()

#### toStringIRC

    public java.util.List<java.lang.String> toStringIRC()

Specified by:
  `toStringIRC` in interface `AffichableSurIRC`

#### toString

    public java.lang.String toString()

Overrides:
  `toString` in class `java.lang.Object`